Release 생성
curl --request POST \
--url https://api.example.com/v1/data-apps/{app_id}/releases \
--header 'Content-Type: application/json' \
--data '
{
"build_id": "<string>",
"version": "<string>",
"expected_revision": 123
}
'import requests
url = "https://api.example.com/v1/data-apps/{app_id}/releases"
payload = {
"build_id": "<string>",
"version": "<string>",
"expected_revision": 123
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({build_id: '<string>', version: '<string>', expected_revision: 123})
};
fetch('https://api.example.com/v1/data-apps/{app_id}/releases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"app_name": "<string>",
"namespace": "<string>",
"version": "<string>",
"build_id": "<string>",
"published_at": "<string>",
"missing_secrets": [
"<string>"
]
}Publishing
Release 생성
ready Build를 정식 버전으로 승격. 버전 번호는 이 시점에 확정.
POST
/
v1
/
data-apps
/
{app_id}
/
releases
Release 생성
POST https://api-datahub.octoparse.com/v1/data-apps/{app_id}/releases
인증: API 키 필요(Authorization: Bearer <API Key>). App 작성자만. 그 외 404.
지정 ready Build를 정식 버전으로 승격. 버전 번호는 여기서 확정: 기본은 현재 최대 버전 patch +1. 더 높은 명시 버전 가능.
전제: Build 존재·ready. 스냅샷을 검증 파이프라인 재실행(Build 생존 중 사양 진화 가능). expected_revision 지정 시 워크스페이스 일치. 대상 버전 미존재. App 비권장 아님.
요청
경로 파라미터
string
필수
App 참조.
요청 body
string
필수
게시할 Build id. ready 필수.
string
명시적 3세그먼트 버전. 생략 시 patch +1.
integer
기대하는 현재 드래프트 리비전. 불일치는
409.요청 예시
curl -X POST \
-H "Authorization: Bearer $OCTOPARSE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"build_id": "bld_a583f440a0ab", "version": "1.2.0"}' \
"https://api-datahub.octoparse.com/v1/data-apps/carol/reviews-query/releases"
응답
200 성공
{
"data": {
"version": "1.2.0",
"build_id": "bld_a583f440a0ab",
"published_at": "2026-09-15T08:00:00+00:00",
"latest": true
}
}
data로 감쌉니다. 필드:
string
필수
—
string
—
string
필수
게시 버전 번호.
string
필수
대응 Build.
string
게시 시각.
string[]
—
오류
| HTTP | code | category | 설명 |
|---|---|---|---|
| 401 | unauthorized | forbidden | API 키 누락 또는 무효. |
| 404 | build-not-found | not_found | Build 스냅샷 없음. |
| 409 | build-not-ready | invalid_input | Build가 아직 ready 아님(building 또는 failed)이라 게시 불가. |
| 422 | invalid-manifest | invalid_input | 매니페스트 검증 실패. issues[]에 문제 목록. |
| 409 | revision-conflict | invalid_input | expected_revision이 현재 드래프트 리비전과 불일치 — 동시 편집. |
{"error": {code, category, message, retryable}}입니다. 오류 참고.